Name:		featherpad
Summary:	Lightweight Qt5 Plain-Text Editor for Linux
Version:	0.16.0
Release:	%mkrel 2
Group:		Editors
License:	GPLv3
URL:		https://github.com/tsujan/FeatherPad
Source0:	https://github.com/tsujan/FeatherPad/archive/V%{version}/FeatherPad-%{version}.tar.gz
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	cmake

%description
FeatherPad (by Pedram Pourang, a.k.a. Tsu Jan <tsujan2000@gmail.com>)
is a lightweight Qt5 plain-text editor for Linux. It is independent
of any desktop environment.

%prep
%setup -q -n FeatherPad-%{version}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc README.md ChangeLog NEWS
%license COPYING
%{_bindir}/%{name}
%{_bindir}/fpad
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/help_ja
%{_datadir}/%{name}/help_pt_BR
%{_datadir}/%{name}/translations/


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658390
- Rebuild for new Qt5

* Mon Dec 14 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1656991
- new version: 0.16.0

* Fri Oct 23 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1638694
- new version: 0.15.0

* Sat Jul 11 2020 daviddavid <daviddavid> 0.14.2-1.mga8
+ Revision: 1604848
- new version: 0.14.2

* Thu Feb 20 2020 umeabot <umeabot> 0.12.1-2.mga8
+ Revision: 1546568
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 0.12.1-1.mga8
+ Revision: 1486771
- new version: 0.12.1
+ wally <wally>
- build with new cmake macros

* Tue Sep 03 2019 daviddavid <daviddavid> 0.11.1-1.mga8
+ Revision: 1436544
- new version: 0.11.1

* Sun Jul 21 2019 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1423245
- new version: 0.10.0

* Sat Mar 30 2019 umeabot <umeabot> 0.9.4-2.mga7
+ Revision: 1381669
- Qt5 Rebuild

* Wed Mar 06 2019 daviddavid <daviddavid> 0.9.4-1.mga7
+ Revision: 1371778
- new version: 0.9.4

* Thu Feb 07 2019 daviddavid <daviddavid> 0.9.3-1.mga7
+ Revision: 1363748
- new version: 0.9.3

* Sat Jan 05 2019 daviddavid <daviddavid> 0.9.2-1.mga7
+ Revision: 1349405
- new version: 0.9.2

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1297679
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1243640
- new version: 0.9.0

* Sun May 21 2017 yochenhsieh <yochenhsieh> 0.6-1.mga6
+ Revision: 1103785
- New version 0.6

* Tue Nov 08 2016 yochenhsieh <yochenhsieh> 0.5.8-1.mga6
+ Revision: 1065865
- New version 0.5.8

* Sat Aug 13 2016 yochenhsieh <yochenhsieh> 0.5.6-1.mga6
+ Revision: 1046315
- imported package featherpad

